Re: [code] [textadept] Textadept 7.0 beta 4

From: Robert Gieseke <rob.g.att.web.de>
Date: Tue, 01 Oct 2013 21:14:56 +0200

Am 10/1/13 8:52 PM, schrieb Ryan Pusztai:
[…]
> I am not sure what is going wrong. I did do the update and went through my
> .textadept files to switch from beta 2 to beta 4.
>
> Here is the error:
>
>> $ ~/bin/textadept
>> ...extadept_7.0_beta_4.x86_64/modules/textadept/editing.lua:107: attempt
>> to call method 'get_lexer' (a nil
[…]
>
> Details:
> * Ubuntu x64 13.04
>
> It does start up when I run with an empty .textadept directory. I also
> added a 'properties.lua' and it worked. It happens when I use my init.lua
> and keys.lua. Any ideas?
>
I just pushed some updates for my common module, these might be helpful
in case you use it. (There are still lots of issues though.)
Otherwise I just commented out everything in my `.textadept` when
updating and added module by module to see if and where it breaks…

Hope this helps,
Robert

-- 
You are subscribed to code.att.foicica.com.
To change subscription settings, send an e-mail to code+help.att.foicica.com.
To unsubscribe, send an e-mail to code+unsubscribe.att.foicica.com.
Received on Tue 01 Oct 2013 - 15:14:56 EDT

This archive was generated by hypermail 2.2.0 : Tue 01 Oct 2013 - 17:19:34 EDT